Resources consumption
All operations require authentication.
List CPU throttling eventsProduction
Returns the start and end dates of each period when the CPU of the service was throttled.
Path parameters
Service name
Response
End date of the CPU throttle
Start date of the CPU throttle
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ cpuThrottle \
-H "authorization: Bearer $OVH_TOKEN"[ { "endDate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z" }]
Get a metrics tokenProduction
Generates a new token at each call and returns it with the endpoint to query the metrics of the service.
Path parameters
Service name
Response
Backend url
Generated token
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ metricsToken \
-H "authorization: Bearer $OVH_TOKEN"{ "endpoint": "string", "token": "string"}
List out-of-memory kill eventsProduction
Returns the date and the memory size reached for each out-of-memory kill on the service.
Path parameters
Service name
Response
Date of the OOM kill
Memory size reached
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ oom \
-H "authorization: Bearer $OVH_TOKEN"[ { "date": "2024-01-01T12:00:00Z", "sizeReached": 0 }]
Refresh the quotaProduction
Recalculates the disk space used by the service. Returns a task to follow the refresh.
Path parameters
Service name
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ quotaRefresh \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}